## org.apache.bcel.util
Class ClassQueue

    java.lang.Object
      |
      +--org.apache.bcel.util.ClassQueue

public class ClassQueue
extends java.lang.Object

Utility class implementing a (typesafe) queue of JavaClass objects.

Version:
  $Id: ClassQueue.java,v 1.1.1.1 2001/10/29 20:00:29 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  `ClassVector`

Field Summary
`protected int` `left`

Constructor Summary
`ClassQueue()`

Method Summary
`JavaClass` `dequeue()`
`boolean` `empty()`
`void` `enqueue(JavaClass clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    protected int left

Constructor Detail

### ClassQueue

    public ClassQueue()

Method Detail

### enqueue

    public void enqueue(JavaClass clazz)

### dequeue

    public JavaClass dequeue()

### empty

    public boolean empty()